Bug 88140 - (IDE)Unable To Mount CD to DVD Drive After Installation
(IDE)Unable To Mount CD to DVD Drive After Installation
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-06 14:23 EDT by Bob Cochran
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Cochran 2003-04-06 14:23:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When attempting to mount a known-to-be-good CD in an Asus 16x max DVD drive, the
following errors were recieved and the CD could not be mounted or read:

Apr  6 13:55:51 bobcp4 kernel: hdc: ASUS DVD-ROM E616, ATAPI CD/DVD-ROM drive
Apr  6 13:56:22 bobcp4 kernel: hdc: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
Apr  6 13:58:11 bobcp4 kernel: hdc: packet command error: status=0x51 {
DriveReady SeekComplete Error }
Apr  6 13:58:11 bobcp4 kernel: hdc: packet command error: error=0x54
Apr  6 13:58:11 bobcp4 kernel: ATAPI device hdc:
Apr  6 13:58:26 bobcp4 kernel: hdc: timeout waiting for DMA
Apr  6 13:58:26 bobcp4 kernel: hdc: timeout waiting for DMA
Apr  6 13:58:26 bobcp4 kernel: hdc: (__ide_dma_test_irq) called while not waiting
Apr  6 13:58:26 bobcp4 kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  6 13:58:26 bobcp4 kernel: hdc: status timeout: error=0x00
Apr  6 13:58:26 bobcp4 kernel: hdc: drive not ready for command
Apr  6 13:58:56 bobcp4 kernel: hdc: ATAPI reset timed-out, status=0x80
Apr  6 13:59:31 bobcp4 kernel: hdc: status timeout: status=0x80 { Busy }
Apr  6 13:59:31 bobcp4 kernel: hdc: status timeout:
error=0x01IllegalLengthIndication
Apr  6 13:59:31 bobcp4 kernel: hdc: drive not ready for command
Apr  6 14:00:01 bobcp4 kernel: hdc: ATAPI reset timed-out, status=0x80


Please note, this is for a drive that worked fine under Red Hat Linux 8. I had
DMA enabled for hdc. This is the contents of my /etc/modules.conf. I added the
options ide-cd line in an attempt to fix the problem. 

[root@bobcp4 root]# cat /etc/modules.conf
alias parport_lowlevel parport_pc
alias eth0 8139too
alias usb-controller usb-ohci
alias usb-controller1 ehci-hcd
alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
alias usb-controller2 usb-uhci
alias usb-controller usb-ohci
alias usb-controller1 ehci-hcd
options ide-cd dma=1



Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. Open DVD drive tray and put any good CD in it. Close tray.
2. Hard disk activity light on system will light up and stay lit for an extended
time period.
3. The messages shown above will appear in /var/log/messages.
    

Actual Results:  I could not mount or read the CD.

Expected Results:  I should be able to mount and read the CD normally.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.